/** Vendor imports Go HERE */
import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
/** Vendor imports Go HERE */
import { ResultInformationModel } from '../models/stack-report.model';
import { MReportSummaryCard, MReportSummaryContent, MReportSummaryTitle } from '../models/ui.model';
export declare class ReportSummaryComponent implements OnInit, OnChanges {
    report: ResultInformationModel;
    onCardClick: EventEmitter<any>;
    isFromShortReport: string;
    reportSummaryCards: Array<MReportSummaryCard>;
    reportSummaryCardsForShort: Array<MReportSummaryCard>;
    reportSummaryContent: MReportSummaryContent;
    reportSummaryTitle: MReportSummaryTitle;
    reportSummaryDescription: string;
    notification: any;
    cardTypes: any;
    titleAndDescription: any;
    private reportSummaryUtils;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    handleSummaryClick(card: MReportSummaryCard): void;
    private newCardInstance;
    private getComponentSecurityInformation;
    private getSecurityReportCard;
    private getInsightsReportCard;
    private getLicensesReportCard;
    private getComponentDetailsReportCard;
    private updateCards;
    private paintView;
    private repaintView;
}
