/** Vendor imports Go HERE */
import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { Contexts } from 'ngx-fabric8-wit';
/** Vendor imports Go HERE */
import { MComponentInformation, MComponentHeaderColumn, MGenericStackInformation } from '../../models/ui.model';
import { AddWorkFlowService } from '../../stack-details/add-work-flow.service';
export declare class ComponentInformationComponent implements OnInit, OnChanges {
    private addWorkFlowService;
    private context;
    component: any;
    positions: Array<MComponentHeaderColumn>;
    genericInformation: MGenericStackInformation;
    serial: number;
    type: string;
    repoInfo: any;
    comp: MComponentInformation;
    workItemResponse: Array<any>;
    messages: any;
    private spaceName;
    private userName;
    constructor(addWorkFlowService: AddWorkFlowService, context: Contexts);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    paint(): void;
    handleAction(event: MouseEvent, comp: MComponentInformation): void;
    private getWorkItemData;
    private addWorkItems;
    private getSpaceName;
    /**
     * displayWorkItemResponse - takes a message string and returns nothing
     * Displays the response received from the creation of work items
     */
    private displayWorkItemResponse;
}
