import { OnChanges, OnInit } from '@angular/core';
import { Modal } from 'ngx-modal';
import { StackAnalysesService } from '../stack-analyses.service';
import { UserStackInfoModel, ComponentInformationModel, RecommendationsModel } from '../models/stack-report.model';
/**
 * New Stack Report Revamp - Begin
 */
import { MGenericStackInformation } from '../models/ui.model';
import { CommonService } from '../utils/common.service';
/**
 * New Stack Report Revamp - End
 */
export declare class StackDetailsComponent implements OnChanges, OnInit {
    private stackAnalysisService;
    private commonService;
    gatewayConfig: any;
    stack: string;
    displayName: any;
    repoInfo: any;
    buildNumber: any;
    appName: any;
    stackResponse: any;
    showFlags: any;
    openStackModalFromCard: string;
    modalStackModule: Modal;
    /**
     * New Stack Report Revamp - Begin
     */
    cardDetails: any;
    genericInformation: MGenericStackInformation;
    /**
     * New Stack Report Revamp - End
     */
    errorMessage: any;
    cache: string;
    cacheResponse: any;
    modalHeader: string;
    userStackInformation: UserStackInfoModel;
    componentLevelInformation: any;
    userComponentInformation: Array<ComponentInformationModel>;
    companionLevelRecommendation: any;
    dataLoaded: boolean;
    recommendationsArray: Array<RecommendationsModel>;
    stackLevelOutliers: any;
    companionLevel: any;
    componentLevel: any;
    componentFilterBy: string;
    customClass: string;
    analysis: any;
    feedbackConfig: any;
    tabs: Array<any>;
    showF: boolean;
    private userStackInformationArray;
    private totalManifests;
    private stackId;
    private reportSummaryUtils;
    /**
     * New Stack Report Revamp - Begin
     */
    handleCardClick(cardDetails: any): void;
    /**
     * New Stack Report Revamp - End
     */
    showStackModal(event: Event): void;
    /**
     * Gets triggered on close of modal,
     * Clears the existing states to make it proper on open
     */
    handleModalClose(): void;
    tabSelection(tab: any): void;
    tabDeSelection(tab: any): void;
    ngOnChanges(): void;
    ngOnInit(): void;
    handleChangeFilter(filterBy: any): void;
    constructor(stackAnalysisService: StackAnalysesService, commonService: CommonService);
    /**
     * New Revamp - Begin
     * https://recommender.api.openshift.io/api/v1/stack-analyses/
     */
    private getBaseUrl;
    /**
     * New Revamp - End
     */
    private handleError;
    private initFeedback;
    private resetFields;
    private handleResponse;
    private ifManifestHasWarning;
    init(): void;
}
