import { OnChanges } from '@angular/core';
import { StackAnalysesService } from '../stack-analyses.service';
import { StackReportModel, UserStackInfoModel, RecommendationsModel } from '../models/stack-report.model';
import { CommonService } from '../utils/common.service';
export declare class StackReportInShortComponent implements OnChanges {
    private stackAnalysisService;
    private commonService;
    gatewayConfig: any;
    stackUrl: any;
    repoInfo: any;
    buildNumber: any;
    appName: any;
    pipeline: any;
    tabs: Array<any>;
    result: StackReportModel;
    stackLevel: UserStackInfoModel;
    recommendations: RecommendationsModel;
    securityInfo: any;
    stackLevelOutliers: any;
    dataLoaded: boolean;
    error: any;
    progress: any;
    licenseAnalysis: any;
    private cache;
    private reportSummaryUtils;
    constructor(stackAnalysisService: StackAnalysesService, commonService: CommonService);
    ngOnChanges(): void;
    handleError(error: any): void;
    handleProgress(data: any): void;
    tabSelection(tab: any): void;
    handleCardClick(cardDetails: any): void;
    private sortChartColumnData;
    private handleSecurityInformation;
    private handleLicenseInformation;
    private resetFields;
    private buildReportInShort;
    private ifManifestHasWarning;
}
